package com.junmp.jyzb.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.junmp.jyzb.api.bean.dto.tjDto.TjOrgEqsDto;
import com.junmp.jyzb.api.bean.query.QueryOrgReq;
import com.junmp.jyzb.entity.PubOrg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PubOrgMapper extends BaseMapper<PubOrg> {
    List<PubOrg> selectAllOrg();


    void setOrgParentIds();

    void wipeParentIdsData();


    //查询下级（除了下一级）
    List<TjOrgEqsDto> getDownOrg(@Param("orgId") Long orgId);
    //查询下一级（除了下n级）
    List<TjOrgEqsDto> getLowOrg(@Param("orgId") Long orgId);

    boolean setAllUserState(@Param("list") List<Long> collect,@Param("delFlag") Integer delFlag);

    PubOrg isRedirect(@Param("account") String account);

    int selectLastNode(@Param("orgId") Long orgId);


    List<PubOrg> getLowOrgs(@Param("req") QueryOrgReq req);
}